aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2013-05-01 08:38:51 +0200
committerNatanael Copa <ncopa@alpinelinux.org>2013-05-01 08:39:52 +0200
commit633e4398ed54ed55dd56fb077eb78a201db3fed7 (patch)
tree8b2d75b8eb71d0d27041f14cb47d83113ae6072d
parent567c3b000adfddf8d6cd18aa282dfe3a31161e7c (diff)
downloadaports-633e4398ed54ed55dd56fb077eb78a201db3fed7.tar.gz
aports-633e4398ed54ed55dd56fb077eb78a201db3fed7.tar.bz2
aports-633e4398ed54ed55dd56fb077eb78a201db3fed7.tar.xz
main/fcgi: fix underlinking, build c++ lib
-rw-r--r--main/fcgi/10-fcgi-2.4.0-Makefile.patch24
-rw-r--r--main/fcgi/APKBUILD59
-rw-r--r--main/fcgi/configure.patch28
-rw-r--r--main/fcgi/fcgi-2.4.0-Makefile.am-CPPFLAGS.patch36
-rw-r--r--main/fcgi/fcgi-2.4.0-gcc44_fixes.patch11
5 files changed, 119 insertions, 39 deletions
diff --git a/main/fcgi/10-fcgi-2.4.0-Makefile.patch b/main/fcgi/10-fcgi-2.4.0-Makefile.patch
deleted file mode 100644
index dad4cd6e02..0000000000
--- a/main/fcgi/10-fcgi-2.4.0-Makefile.patch
+++ /dev/null
@@ -1,24 +0,0 @@
-Index: fcgi-2.4.0/cgi-fcgi/Makefile.am
-===================================================================
---- fcgi-2.4.0.orig/cgi-fcgi/Makefile.am
-+++ fcgi-2.4.0/cgi-fcgi/Makefile.am
-@@ -11,5 +11,5 @@ INCLUDE_FILES = $(INCLUDEDIR)/fastcgi.
- LIBDIR = ../libfcgi
- LIBFCGI = $(LIBDIR)/libfcgi.la
-
--LDADD = $(LIBFCGI)
-+LDADD = $(LIBFCGI) -lm
- cgi_fcgi_SOURCES = $(INCLUDE_FILES) cgi-fcgi.c
-Index: fcgi-2.4.0/examples/Makefile.am
-===================================================================
---- fcgi-2.4.0.orig/examples/Makefile.am
-+++ fcgi-2.4.0/examples/Makefile.am
-@@ -21,7 +21,7 @@ INCLUDE_FILES = $(INCLUDEDIR)/fastcgi.
- LIBDIR = ../libfcgi
- LIBFCGI = $(LIBDIR)/libfcgi.la
-
--LDADD = $(LIBFCGI)
-+LDADD = $(LIBFCGI) -lm
-
- echo_SOURCES = $(INCLUDE_FILES) echo.c
- echo_x_SOURCES = $(INCLUDE_FILES) echo-x.c
diff --git a/main/fcgi/APKBUILD b/main/fcgi/APKBUILD
index 2b30b364fe..c48a156ef1 100644
--- a/main/fcgi/APKBUILD
+++ b/main/fcgi/APKBUILD
@@ -2,37 +2,45 @@
# Maintainer: Carlo Landmeter <clandmeter@gmail.com>
pkgname=fcgi
pkgver=2.4.0
-pkgrel=5
+pkgrel=6
pkgdesc="FAST CGI(fcgi) is a language independent, high performant extension to CGI"
url="http://www.fastcgi.com"
arch="all"
license="GPL"
depends=""
-makedepends=""
-subpackages="$pkgname-dev"
+makedepends="libtool"
+subpackages="$pkgname-dev $pkgname++:xx"
source="http://www.fastcgi.com/dist/${pkgname}-${pkgver}.tar.gz
-20-fcgi-2.4.0-clientdata-pointer.patch
-30-fcgi-2.4.0-html-updates.patch"
+ configure.patch
+ fcgi-2.4.0-gcc44_fixes.patch
+ fcgi-2.4.0-Makefile.am-CPPFLAGS.patch
+ 20-fcgi-2.4.0-clientdata-pointer.patch
+ 30-fcgi-2.4.0-html-updates.patch"
-build() {
+prepare() {
cd "$srcdir/$pkgname-$pkgver"
-
- for i in ../*.patch; do
- msg "Applying $i"
- patch -p1 < $i || return 1
+ for i in $source; do
+ case $i in
+ *.patch) msg "Applying $i"
+ patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
done
-
- export LIBS="$LIBS -lm"
+ sed -i -e 's/AM_CONFIG_HEADER/AC_CONFIG_HEADERS/' configure.in
+
+ libtoolize --force && aclocal && autoconf && automake --add-missing
+}
- # seems like there is no way to disable c++ from configure script
- # the row below helps us to build even if g++ is installed on system
- export CXX=false
+build() {
+ cd "$srcdir/$pkgname-$pkgver"
+ export LIBS="-lm"
./configure --prefix=/usr \
--sysconfdir=/etc \
--mandir=/usr/share/man \
--infodir=/usr/share/info \
--enable-shared
+ # work around parallel build issue
+ make -C libfcgi libfcgi.la || return 1
make || return 1
}
@@ -43,6 +51,27 @@ package() {
}
+xx() {
+ pkgdesc="FCGI c++ library"
+ mkdir -p "$subpkgdir"/usr/lib
+ mv "$pkgdir"/usr/lib/*++* "$subpkgdir"/usr/lib/
+}
+
md5sums="d15060a813b91383a9f3c66faf84867e fcgi-2.4.0.tar.gz
+6d6d15f05721284b63b173ab6e728ecb configure.patch
+2e72c834db21da6af3f77dd2b36727a2 fcgi-2.4.0-gcc44_fixes.patch
+8c07165aed574b853326ae25fe9af291 fcgi-2.4.0-Makefile.am-CPPFLAGS.patch
d2654525f06451c99b8cdd4cc00a963b 20-fcgi-2.4.0-clientdata-pointer.patch
f26b536786f70b30a2d91c83d56e944c 30-fcgi-2.4.0-html-updates.patch"
+sha256sums="66fc45c6b36a21bf2fbbb68e90f780cc21a9da1fffbae75e76d2b4402d3f05b9 fcgi-2.4.0.tar.gz
+5dfa0465d08b4d87e4e30caefa3702c73e8f7eb634f584305fccd3b63ee65e24 configure.patch
+c31eb921a662b53401a88caafbadb16b02ae809d25d0b6d8b1ac96d20803e9d5 fcgi-2.4.0-gcc44_fixes.patch
+df132dec038246ce9526f311c5d00ec103427111722c476f78069d7f1386529f fcgi-2.4.0-Makefile.am-CPPFLAGS.patch
+27936406b5fcb13096bbdd80ee7eb0cf262e5c2b983e79e41d17a3cd17387683 20-fcgi-2.4.0-clientdata-pointer.patch
+df8b2eb4c017fedf6f27a5650e2f4f5636e66ec7d02d20a50282edbc8d636c69 30-fcgi-2.4.0-html-updates.patch"
+sha512sums="38164d11112e834b30c6f809da4e184021e8d22ec8db2c49ad827895a75b99dc1824b94831304aa0ae1174176fe64d02a12882b1a00b780119600bdc39a90927 fcgi-2.4.0.tar.gz
+57ae87e526c6fbc39b81b93b0fa2d159315f4d06f9a58053a5636bb3377955c3d92024f2363af483bf4c22b7f3c888d1f1505e265f77e8a1b690740cf5909959 configure.patch
+6dafc960c30c1c9f5e09eff0fa71a0202265e063b9ccc56b82d58961f4a2e290734dcea06bd45ea58abc5a394db6edbaed4ccac5dc1fcfa22f0595917fa24243 fcgi-2.4.0-gcc44_fixes.patch
+04886b4aa5fab4aca7ef8834b73c1b8d899fcfd8072934a9b337913306335e53e5b24069af6c7e7ac37272bb6bbd9fe0eb82704255a58c344fb964846f925255 fcgi-2.4.0-Makefile.am-CPPFLAGS.patch
+c5339ae940994daeec4cf8030933ca2ab5a00651b91eb5d2ff3b871673b5a62646bfb8e81c190ad6d83015fcf59df4076bc745f097ddcada220ca0dc4a05db6a 20-fcgi-2.4.0-clientdata-pointer.patch
+79abe9f43150b3163e92030cc9afbee90f69f04bd487254d187abda6fa3484623f605394c96eeb6fd4203d2b06f7e771c9b46f9c21b03cde1aa043da9b3e8d5e 30-fcgi-2.4.0-html-updates.patch"
diff --git a/main/fcgi/configure.patch b/main/fcgi/configure.patch
new file mode 100644
index 0000000000..8ea19fb50c
--- /dev/null
+++ b/main/fcgi/configure.patch
@@ -0,0 +1,28 @@
+diff --git a/configure.in b/configure.in
+index e1941d0..4780394 100755
+--- a/configure.in
++++ b/configure.in
+@@ -4,10 +4,12 @@ dnl This file is an input file used by the GNU "autoconf" program to
+ dnl generate the file "configure", which is run during the build
+ dnl to configure the system for the local environment.
+
+-AC_INIT
+-AM_INIT_AUTOMAKE(fcgi, 2.4.0)
++AC_INIT(fcgi, 2.4.0)
++AM_INIT_AUTOMAKE(1.9 foreign)
+
+-AM_CONFIG_HEADER(fcgi_config.h)
++AC_CONFIG_HEADERS(fcgi_config.h)
++
++AM_MAINTAINER_MODE
+
+ AC_PROG_CC
+ AC_PROG_CPP
+@@ -47,6 +49,7 @@ AC_LANG([C])
+
+ AC_CHECK_LIB([nsl], [gethostbyname])
+ AC_CHECK_LIB([socket], [socket])
++AC_SEARCH_LIBS(frexp, [m], [], [AC_MSG_ERROR([unable to find the frexp()]) ])
+
+ ACX_PTHREAD([THREADED=threaded${EXEEXT}])
+ AC_SUBST([THREADED])
diff --git a/main/fcgi/fcgi-2.4.0-Makefile.am-CPPFLAGS.patch b/main/fcgi/fcgi-2.4.0-Makefile.am-CPPFLAGS.patch
new file mode 100644
index 0000000000..7dfe0f98fa
--- /dev/null
+++ b/main/fcgi/fcgi-2.4.0-Makefile.am-CPPFLAGS.patch
@@ -0,0 +1,36 @@
+diff -ru fcgi-2.4.0-orig/cgi-fcgi/Makefile.am fcgi-2.4.0/cgi-fcgi/Makefile.am
+--- fcgi-2.4.0-orig/cgi-fcgi/Makefile.am 2007-03-05 18:09:31.000000000 +0100
++++ fcgi-2.4.0/cgi-fcgi/Makefile.am 2007-03-05 19:38:14.000000000 +0100
+@@ -2,7 +2,7 @@
+ bin_PROGRAMS = cgi-fcgi
+
+ INCLUDEDIR = ../include
+-CPPFLAGS = @CPPFLAGS@ -I$(top_srcdir)/include
++AM_CPPFLAGS = @CPPFLAGS@ -I$(top_srcdir)/include
+
+ INCLUDE_FILES = $(INCLUDEDIR)/fastcgi.h \
+ $(INCLUDEDIR)/fcgiapp.h \
+diff -ru fcgi-2.4.0-orig/examples/Makefile.am fcgi-2.4.0/examples/Makefile.am
+--- fcgi-2.4.0-orig/examples/Makefile.am 2007-03-05 18:09:31.000000000 +0100
++++ fcgi-2.4.0/examples/Makefile.am 2007-03-05 19:38:34.000000000 +0100
+@@ -11,7 +11,7 @@
+ EXTRA_PROGRAMS = threaded echo-cpp
+
+ INCLUDEDIR = ../include
+-CPPFLAGS = @CPPFLAGS@ -I$(top_srcdir)/include
++AM_CPPFLAGS = @CPPFLAGS@ -I$(top_srcdir)/include
+
+ INCLUDE_FILES = $(INCLUDEDIR)/fastcgi.h \
+ $(INCLUDEDIR)/fcgiapp.h \
+diff -ru fcgi-2.4.0-orig/libfcgi/Makefile.am fcgi-2.4.0/libfcgi/Makefile.am
+--- fcgi-2.4.0-orig/libfcgi/Makefile.am 2007-03-05 18:09:31.000000000 +0100
++++ fcgi-2.4.0/libfcgi/Makefile.am 2007-03-05 19:38:03.000000000 +0100
+@@ -1,7 +1,7 @@
+ # $Id: fcgi-2.4.0-Makefile.am-CPPFLAGS.patch,v 1.1 2007/06/28 23:15:26 till Exp $
+
+ INCLUDEDIR = ../include
+-CPPFLAGS = @CPPFLAGS@ -I$(top_srcdir)/include
++AM_CPPFLAGS = @CPPFLAGS@ -I$(top_srcdir)/include
+
+ INCLUDE_FILES = $(INCLUDEDIR)/fastcgi.h \
+ $(INCLUDEDIR)/fcgiapp.h \
diff --git a/main/fcgi/fcgi-2.4.0-gcc44_fixes.patch b/main/fcgi/fcgi-2.4.0-gcc44_fixes.patch
new file mode 100644
index 0000000000..6c5cfe2f98
--- /dev/null
+++ b/main/fcgi/fcgi-2.4.0-gcc44_fixes.patch
@@ -0,0 +1,11 @@
+diff -up fcgi-2.4.0/libfcgi/fcgio.cpp.gcc44_fixes fcgi-2.4.0/libfcgi/fcgio.cpp
+--- fcgi-2.4.0/libfcgi/fcgio.cpp.gcc44_fixes 2002-02-24 21:12:22.000000000 +0100
++++ fcgi-2.4.0/libfcgi/fcgio.cpp 2009-02-15 11:35:18.000000000 +0100
+@@ -23,6 +23,7 @@
+ #endif
+
+ #include <limits.h>
++#include <cstdio>
+ #include "fcgio.h"
+
+ using std::streambuf;